Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1171064 - python-oslo-utils-1.5.0 is available [NEEDINFO]
python-oslo-utils-1.5.0 is available
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-oslo-utils (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Orsava
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks: PYTHON3 PY3PATCH-PUSH
  Show dependency treegraph
 
Reported: 2014-12-05 05:12 EST by Upstream Release Monitoring
Modified: 2016-07-08 11:55 EDT (History)
3 users (show)

See Also:
Fixed In Version: python-oslo-utils-3.7.0-2.fc25
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-08 11:55:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
torsava: needinfo? (apevec)


Attachments (Terms of Use)
[patch] Update to 1.5.0 (#1171064) (974 bytes, text/x-diff)
2015-04-23 09:03 EDT, Upstream Release Monitoring
no flags Details
Patch to provide Python 3 tests subpackage (1.82 KB, patch)
2016-06-01 04:51 EDT, Charalampos Stratakis
no flags Details | Diff
Patch to provide Python 3 tests subpackage (1.82 KB, patch)
2016-06-01 05:05 EDT, Charalampos Stratakis
no flags Details | Diff
Patch to provide Python 3 tests subpackage (1.85 KB, patch)
2016-06-01 09:34 EDT, Charalampos Stratakis
no flags Details | Diff

  None (edit)
Description Upstream Release Monitoring 2014-12-05 05:12:06 EST
Latest upstream release: 1.1.0
Current version/release in Fedora Rawhide: 1.0.0-1.fc22
URL: https://pypi.python.org/packages/source/o/oslo.utils/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://release-monitoring.org/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.
Comment 1 Upstream Release Monitoring 2015-01-09 05:27:34 EST
Latest upstream release: 1.2.1
Current version/release in Fedora Rawhide: 1.0.0-1.fc22
URL: https://pypi.python.org/packages/source/o/oslo.utils/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://release-monitoring.org/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.
Comment 2 Upstream Release Monitoring 2015-03-12 09:24:36 EDT
Latest upstream release: 1.4.0
Current version/release in rawhide: 1.3.0-1.fc23
URL: https://pypi.python.org/pypi/oslo.utils

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 3 Upstream Release Monitoring 2015-03-12 09:29:18 EDT
Scratch build succeeded http://koji.fedoraproject.org/koji/taskinfo?taskID=9209947
Comment 4 Upstream Release Monitoring 2015-03-31 10:27:18 EDT
apevec's python-oslo-utils-1.4.0-1.fc23 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=625108
Comment 5 Upstream Release Monitoring 2015-04-23 09:02:55 EDT
Latest upstream release: 1.5.0
Current version/release in rawhide: 1.4.0-1.fc23
URL: https://pypi.python.org/pypi/oslo.utils

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 6 Upstream Release Monitoring 2015-04-23 09:03:02 EDT
Created attachment 1017978 [details]
[patch] Update to 1.5.0 (#1171064)
Comment 7 Upstream Release Monitoring 2015-04-23 09:14:35 EDT
Scratch build succeeded http://koji.fedoraproject.org/koji/taskinfo?taskID=9548567
Comment 8 Tomas Orsava 2016-05-10 10:45:00 EDT
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's OK to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If you need more instructions, a guide for porting Python-based RPMs is
available at [2].
If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
[2] http://python-rpm-porting.readthedocs.io/
Comment 9 Charalampos Stratakis 2016-06-01 04:51 EDT
Created attachment 1163548 [details]
Patch to provide Python 3 tests subpackage
Comment 10 Charalampos Stratakis 2016-06-01 04:52:42 EDT
Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=14336841
Comment 11 Charalampos Stratakis 2016-06-01 05:05 EDT
Created attachment 1163550 [details]
Patch to provide Python 3 tests subpackage

Forgot to add conditional macro for the files of the python3 tests subpackage
Comment 12 Charalampos Stratakis 2016-06-01 09:34 EDT
Created attachment 1163668 [details]
Patch to provide Python 3 tests subpackage
Comment 13 Tomas Orsava 2016-06-01 11:00:35 EDT
Thanks, Charalampos!
The patch looks good!

Could you try building the package in mock and test installing the new Python 3 tests subpackage to check if it works as it should?

Thanks!
Comment 14 Tomas Orsava 2016-06-01 12:04:32 EDT
Hi Alan!
as this is a bit of a time sensitive issue, we would really appreciate if you could take a look at the patch as soon as possible.
If you are time constrained right now, I hope you won't mind if we do the review and push the changes ourselves in case you won't respond.

Thank you!
Comment 15 Charalampos Stratakis 2016-06-08 06:01:47 EDT
Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=14420109

Also tested in mock.

Note You need to log in before you can comment on or make changes to this bug.